#!/usr/bin/env bash

# to run from tools/vagrant/

set -x
set -e
set -u

GUEST=${1:-"default"} #$1    # name from `vagrant status`

export VERSION=5.2.8   # must be equal to the VirtualBox version!
export URL="http://download.virtualbox.org/virtualbox/"$VERSION"/VBoxGuestAdditions_"$VERSION".iso"

time vagrant ssh $GUEST << HERE

set -e
set -x

sudo bash

apt-get update

apt-get install -y dkms build-essential
#apt-get install -y linux-headers-generic linux-headers-$(uname -r)
apt-get install -y linux-headers-amd64 linux-headers-4.9.0-4-amd64

apt-get install -y module-assistant

cd /opt/

wget -c $URL -O vb.iso
mount vb.iso -o loop /mnt

cd /mnt/
sh ./VBoxLinuxAdditions.run --nox11

cd /opt
sudo rm *.iso

lsmod | grep vboxguest || echo "*** something went wrong while attempting to install the guest additions"

HERE

